Support Center

What versions of Microsoft Outlook does the plugin support?

Last Updated: May 02, 2014 03:05PM EDT
Less Meeting supports Outlook 2007, 2010 and 2013. Windows versions supported include Windows XP, Vista, 7 and 8.

Download the Outlook plugin here. Please make sure to download the correct version. If you're upgrading from Outlook 2007/2010 to 2013 please be sure to uninstall your old copy of the plugin before downloading and installing the Outlook 2013 version.

For more information about how to setup the plugin click here.
staff@lessmeeting.com
http://assets3.desk.com/
false
lessmeeting
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete